Subject: bug#6755: 24.0.50; Customize buffer is too wide. Put doc string on separate line.

From: "Drew Adams" <[email-masked]>
Date: Thu, 29 Jul 2010 09:29:24 -0700

emacs -Q
 
See attached screenshots.  The first is what actually exists.  The *FIXED*
screenshot shows the kind of thing you should see instead.
 
The first line of the doc string should be on a separate line.  It
should not be on the same line as the Value Menu button.  Otherwise, the buffer
text is much too wide.

Just as for *Info* *Help* and similar buffers, Emacs should make
a reasonable effort to keep the buffer text width within 70, or
at most 80, chars.
 
We go to great trouble to ensure that doc string text width is
reasonable, but Customize currently defeats that effort by simply
appending the doc string to existing text and buttons in the buffer.

This bug has consequences for any code that tries to fit the window or frame
width to the (max) width of the buffer text.

In GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600)
 of 2010-07-19 on 3249CTO
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.4) --no-opt --cflags -Ic:/xpm/include'